﻿@model SSCMvc.Models.Tb_IELTSResult
@using System.Web.UI.WebControls
@using SSCMvc.Models
@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
   
    <script src="~/Scripts/jquery.validate.min.js"></script>
 
      @Content.Script("PreventDouble.js", Url)


    <script type="text/javascript">
        $(document).ready(function () {

            

            //this is used only on the time of page load to fill the student type and student list again
            $("#StudentType").val($("#hdnstype").val());
            var sId = $("#hdnIdd").val();

            var stype = $("#StudentType").val();
            if (stype == "Admission") {

                GetStudList(stype);
            }
            else if (stype == "Enquiry") {

                GetStudListEnq(stype, sId);
                GetBookingType(stype);
                GetCourseForstudent(sId);
                DuplicateRecord(sId);
            }

            function GetStudList(stype) {
                $.getJSON("/Tb_IELTSResult/GetStudentList", { st: stype },
         function (modelData) {


             var select = $("#StudentId1");
             select.empty();
             select.append('<option value="0">Select</option>');
             $.each(modelData, function (index, itemData) {
                 select.append($('<option/>', {
                     value: itemData.Value,
                     text: itemData.Text,
                 }));
             });
         });
            }
            //end here
            //enq function start
            function GetStudListEnq(stype, sid) {
                $.getJSON("/Tb_IELTSResult/GetStudentListEnq", { st: stype, idd: sid },
         function (modelData) {


             var select = $("#StudentId1");
             select.empty();
             select.append();
             $.each(modelData, function (index, itemData) {
                 $("#StudentIdd").val(itemData.Text);
                 $("#SIdd").val(itemData.Value);
                 select.append($('<option/>', {
                     value: itemData.Value,
                     text: itemData.Text,
                 }));
             });
         });
            }
            //end here
        });
    </script>



    <script type="text/javascript">

        $(document).ready(function () {


            $('#StudentId').css('width', '95%');
            $('#BookingType').attr('required', true);


            $('#StudentId1').select({
                placeholder: "Select an option",
                allowClear: true
            });

            //$("input[type=text]").prop("disabled", true);
            //$("#hidestudent").hide();

            $("#TestDate").datepicker();

            $(".hasDatepicker").focus(function () {
                $('.hasDatepicker').attr("autocomplete", "off");
            });

           
            $("#btnCancel").click(function () {
                window.location.href = "/Tb_IELTSResult/Index";
            });

            $('.ui-autocomplete-input').val('');

            $("#StudentType").change(function () {
                $("#wait").css("display", "block");

                var stype = $("#StudentType").val();
                //  $(".ui-combobox").find('a').append('<span class="ui-button-icon-primary ui-icon ui-icon-triangle-1-s"></span> <span class="ui-button-text"></span>').addClass('ui-button ui-widget ui-state-default ui-button-icon-only ui-corner-right ui-combobox-toggle');
                if (stype == "Admission") {

                    $("#StudentIdd2").hide();
                    $("#StudentIdd").show();

                    GetBookingType(stype);
                    GetStudentsList(stype);
                }
                else if (stype == "Enquiry") {
                    $("#StudentIdd2").show();
                    $("#StudentIdd").hide();
                    GetBookingType(stype);
                    GetStudentsList(stype);
                }
                else {
                    $("#combobox").remove('option');
                }
                InvokeInstitute();

            });
            var selectedvalue = $("#StudentId option:selected").val();
            GetCourseForstudent(selectedvalue);
            App.init();
        });

        function GetBookingType(stype) {
            $.getJSON("/Tb_IELTSResult/GetBookingType", { st: stype },
     function (modelData) {
         var select = $("#BookingType");
         select.empty();
         select.append('<option value="">Select</option>');
         $.each(modelData, function (index, itemData) {
             select.append($('<option/>', {
                 value: itemData.Value,
                 text: itemData.Text,
             }));
         });
     });
        }

        function GetStudentsList(stype) {
            $.getJSON("/Tb_IELTSResult/GetStudentList", { st: stype },
     function (modelData) {

         var select = $("#StudentId1");
         select.empty();
         select.append('<option value="0">select</option>');
         $.each(modelData, function (index, itemData) {
             select.append($('<option/>', {

                 value: itemData.Value,
                 text: itemData.Text,
             }));
         });
         $("#wait").css("display", "none");
     });

        }

        $("#StudentId1").change(function () {

            GetCourseForstudent($(this).val());
            $("#sttype").val($(this).val());


        });

        function GetCourseForstudent(myval, val) {

            var stype = $("#StudentType").val();
            var idCourse = myval;
            $.getJSON("/Tb_IELTSResult/GetStudentData", { id: idCourse, st: stype, Vw: val },
   function (modelData) {

       var select = $("#CourseId");

       //$("#CourseId").val(modelData['Course']);
       $("#TimeId").val(modelData['Timing']);
       $("#mobileno").val(modelData['mobileno']);
       $("#alternateno").val(modelData['alternateno']);
       $("#CourseId").val(modelData['currentcourselevl']);

       if ($("#CourseId").val() == "PTE") {
           $("#ExamBody").val("PTE")
       }

   });

        }
    </script>


    <script type="text/javascript">
        $("#CourseId").change(function () {
            var idCourse = $(this).val();
            var stuid = $("#StudentIdd").val();
            $.getJSON("/Tb_MockTest/LoadTimeByCourse", { id: stuid, cid: idCourse },
   function (modelData) {

       var select = $("#TimeId");

       select.empty();
       select.append($('<option/>', {
           value: 0,
           text: "Select a Time"
       }));
       $.each(modelData, function (index, itemData) {


           select.append($('<option/>', {

               value: itemData.Value,
               text: itemData.Text,



           }));
       });
   });
        });


        /*-------------------bands caluculation starts here------------------*/
        $("#RBand").blur(function () {
            calbands();

        });

        $("#LBand").blur(function () {
            calbands();
        });

        $("#WBand").blur(function () {
            calbands();
        });

        $("#SBand").blur(function () {
            calbands();
        });


        function calbands() {
            var value1 = $("#LBand").val();

            if (value1 == "") {

                value1 = 0;
            }

            var value2 = $("#WBand").val();
            if (value2 == "") {

                value2 = 0;
            }

            var value3 = $("#SBand").val();

            if (value3 == "") {

                value3 = 0;
            }

            var value4 = $("#RBand").val();

            if (value4 == "") {

                value4 = 0;
            }

            var sum = parseFloat((parseFloat(value1) + parseFloat(value2) + parseFloat(value3) + parseFloat(value4)));


            var ovr = overallband(sum);
            var ovr1 = CalcScore(sum);

            var course = $("#CourseId").val();
            if (course == "PTE") {
                $("#Overall").val(Math.round(ovr1));
            }
            else {
                $("#Overall").val(ovr);

            }
        }

        function CalcScore(sum) {
            var res = parseFloat(sum) / 4;
            return res
        }

        /*--------------------------bands calculation ends here-----------------------*/







    </script>

    <script type="text/javascript">
        $("#StudentType").change(function () {


            var studenttype = $("#StudentType option:selected").val();

            if (studenttype != "") {
                $("input[type=text]").prop("disabled", false);
                $("#hidestudent").show();
            }
            else {
                $("#hidestudent").hide();
                $("input[type=text]").prop("disabled", true);
            }
        });
    </script>

    <script>
        $(document).ready(function () {

            $("#btnsubmit").click(function () {
                $("#formMine").validate({
                    submitHandler: function (form) {
                        // disable your button here
                        form.submit();
                        $("#btnsubmit").prop('disabled', true);

                    },
                    invalidHandler: function () {
                        // re-enable the button here as validation has failed
                    }
                });
            });

            FormValidation.init();
        });
    </script>
    <script>
        function DuplicateRecord(sid) {
            $.getJSON("/Tb_IELTSResult/CheckDuplicate", { id: sid },
    function (modelData) {

        if (modelData == true) {
            $('#DPRecord').modal('show');
        }

    });
        }
    </script>
    <script>
        function getid(stype, sid) {
            $.getJSON("/Tb_IELTSResult/getid", { stype: stype, id: sid },
        function (modelData) {

            $("#SIdd").val(modelData);
            DuplicateRecord(modelData);
        });
        }
    </script>



    <script>
        $("#StudentIdd2").hide();

        //The following code is for autocomplete of student's names (on 14 Nov 2016 by Leel)
        $('#StudentIdd').autocomplete({
            source: '/Tb_IELTSResult/AutoCompleteDest', max: 7,
            minLength: 2,
        });

        $('#StudentIdd2').autocomplete({
            source: '/Tb_IELTSResult/AutoCompleteDest2', max: 7,
            minLength: 2,
        });
    </script>
    <script>

        //$("#StudentIdd").blur(function () {
        //    var SName = $('#StudentIdd2').val();

        //    var n = SName.indexOf("-");
        //    var dd = SName.substring(0, n);
        //    DuplicateRecord(dd);
        //});

        //$("#StudentIdd2").blur(function () {
        //    var SName = $('#StudentIdd2').val();
        //    var n = SName.indexOf("-");
        //    var dd = SName.substring(0, n);
        //    DuplicateRecord(dd);
        //});

        $("#ExamBody").change(function () {

            var cid = $("#CourseId").val();
            var eb = $("#ExamBody").val();

            //if (cid == "PTE" && eb != "PTE") {
            //    alert("Invalid Exam Body select.");
            //    $("#ExamBody").val("PTE");
            //}

            //if (cid != "PTE" && eb == "PTE") {
            //    alert("Invalid Exam Body select.");
            //    $("#ExamBody").val("PTE");
            //}

        });

        $('#StudentIdd').blur(function () {
            var SName = $('#StudentIdd').val();
            var stype = $('#StudentType').val();
            var n = SName.indexOf("-");
            var dd = SName.substring(0, n);
            //$("#SIdd").val(dd);
            if (dd.length > 0)
                GetCourseForstudent(dd, 'C');
            getid(stype, dd);

        });

        $('#StudentIdd2').blur(function () {
            var SName = $('#StudentIdd2').val();
            var n = SName.indexOf("-");
            var dd = SName.substring(0, n);
            $("#SIdd").val(dd);
            if (dd.length > 0)
                GetCourseForstudent(dd, 'C');
            DuplicateRecord(dd);

        });

    </script>
    <script>
        function InvokeInstitute() {
            var stype = $('#StudentType').val();
            if (stype == "Enquiry") {
                $("#Institute").attr('readonly', false)
                $("#Detail2").attr('readonly', false)
                $("#Detal1").attr('readonly', false)
                $("#BookedDBO").attr('disabled', false)
            }
            else {
                $("#Institute").attr('readonly', true)
                $("#Detal1").attr('readonly', true)
                $("#Detail2").attr('readonly', true)
                $("#BookedDBO").attr('disabled', true)
            }
        }


    </script>
    <script>
        $("#BookingType").change(function () {
            var booktype = $("#BookingType").val();
            var stype = $('#StudentType').val();
            if (booktype == 3 || booktype == 1) {
                $("#Institute").attr('readonly', false)
                $("#Detail2").attr('readonly', false)
                $("#Detal1").attr('readonly', false)
                $("#BookedDBO").attr('disabled', false)
            }
            else {
                $("#Institute").attr('readonly', true)
                $("#Detal1").attr('readonly', false)
                $("#Detail2").attr('readonly', false)
                $("#BookedDBO").attr('disabled', true)
            }
        })

    </script>







}
<h2>
    Create
</h2>
@using (Html.BeginForm("Create", "Tb_IELTSResult", null, FormMethod.Post, new { @id = "formMine", @class = "horizontal-form" }))
{
    @Html.ValidationSummary(true)

    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" id="btnsubmit" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <span style="color: red; font-weight: bold">
                            @ViewBag.ErrorMsg
                        </span>

                        <input type="hidden" id="sttype" />
                        <fieldset>
                            <legend>Create A New IELTS / PTE Entry</legend>

                            <table style="width: 95%" align="center">
                                <tr>
                                    <td class="editor-label">


                                        Student Type
                                        <span class="color_style">*</span>

                                    </td>


                                    <td>
                                        @{
                                            var liststype = new List<ListItem>();
                                            liststype.Add(new ListItem { Text = "Enquiry", Value = "Enquiry" });
                                            liststype.Add(new ListItem { Text = "Admission", Value = "Admission" });
                                        }
                                        @Html.DropDownList("StudentType", new SelectList(liststype), "Select")

                                        <input type="hidden" value="@ViewBag.stype" id="hdnstype" />
                                        <input type="hidden" value="@ViewBag.Idd" id="hdnIdd" />
                                    </td>


                                    <td>
                                        @Html.LabelFor(model => model.BookingType)
                                        <span class="color_style">*</span>
                                    </td>

                                    <td class="editor-field">
                                        @Html.DropDownList("BookingType", "Select")
                                        @Html.ValidationMessageFor(model => model.BookingType)
                                    </td>
                                </tr>
                                <tr>
                                    <td class="editor-label">

                                        Student

                                        <span class="color_style">*</span>

                                    </td>
                                    <td class="editor-field">
                                        <input type="text" id="StudentIdd" name="StudentIdd" class="form-control" maxlength="50" />
                                        <input type="text" id="StudentIdd2" name="StudentIdd2" class="form-control" maxlength="50"  />
                                        <input type="hidden" id="SIdd" name="SIdd" />
                                        @*@Html.ValidationMessageFor(model => model.StudentId)*@

                                    </td>

                                    <td class="editor-label">

                                        Institute

                                    </td>
                                    <td>
                                        @Html.TextBoxFor(model => model.Institute, new { @readonly = "readonly", @maxlength = "90" })
                                        @Html.ValidationMessageFor(model => model.Institute)
                                    </td>

                                </tr>
                                <tr>

                                    <td class="editor-label" valign="top">

                                        Passport No.
                                        <span class="color_style">*</span>

                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.Passport)
                                        @Html.ValidationMessageFor(model => model.Passport)
                                    </td>
                                    <td>
                                        @Html.LabelFor(model => model.ExamBody)
                                        <span class="color_style">*</span>
                                    </td>

                                    <td class="editor-field">
                                        @{
                                            var listexambody = new List<ListItem>();
                                            listexambody.Add(new ListItem { Text = "BC", Value = "BC" });
                                            listexambody.Add(new ListItem { Text = "IDP", Value = "IDP" });
                                            listexambody.Add(new ListItem { Text = "PTE", Value = "PTE" });
                                        }
                                        @Html.DropDownList("ExamBody", new SelectList(listexambody), "Select")
                                    </td>
                                </tr>
                                <tr>


                                    <td>
                                        Booked
                                    </td>

                                    <td class="editor-field">
                                        @{
                                            var listBooked = new List<ListItem>();
                                            listBooked.Add(new ListItem { Text = "B", Value = "B" });
                                            listBooked.Add(new ListItem { Text = "A", Value = "A" });

                                        }
                                        @Html.DropDownList("BookedDBO", new SelectList(listBooked), "Select", new { @disabled = "true" })
                                    </td>
                                    <td class="editor-label">

                                        Detail(1)

                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.TextAreaFor(model => model.Detal1, new { @readonly = "true", @rows = "2", @maxlength = "150" })
                                        @Html.ValidationMessageFor(model => model.Detal1)
                                    </td>
                                </tr>
                                <tr>

                                    <td class="editor-label">

                                        Detail(2)

                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.TextAreaFor(model => model.Detail2, new { @readonly = "true", @rows = "2", @maxlength = "150" })
                                        @Html.ValidationMessageFor(model => model.Detail2)
                                    </td>
                                    <td class="editor-label">

                                        Mobile No.

                                    </td>
                                    <td>
                                        <input type="text" id="mobileno" name="mobileno" maxlength="10" />
                                    </td>
                                </tr>
                                <tr>

                                    <td>

                                        Alternate No.


                                    </td>

                                    <td class="editor-field">
                                        <input type="text" id="alternateno" name="alternateno" maxlength="10" />
                                        <span class="alert-info">Please update the alternate number</span>
                                    </td>
                                    <td class="editor-label">
                                        Time
                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.TextBoxFor(model => model.TimeId, new { @readonly = "readonly" })
                                        @Html.ValidationMessageFor(model => model.TimeId)
                                    </td>
                                </tr>

                                <tr>

                                    <td class="editor-label">

                                        @Html.LabelFor(model => model.CourseId)

                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.TextBoxFor(model => model.CourseId, new { @readonly = "readonly" })
                                        @Html.ValidationMessageFor(model => model.CourseId)
                                    </td>
                                    <td class="editor-label">

                                        @Html.LabelFor(model => model.Category)

                                        <span class="color_style">*</span>

                                    </td>
                                    <td class="editor-field" valign="top">
                                        @{
                                            var liststype1 = new List<ListItem>();

                                            liststype1.Add(new ListItem { Text = "AC", Value = "AC" });
                                            liststype1.Add(new ListItem { Text = "GT", Value = "GT" });

                                        }
                                        @Html.DropDownList("Category", new SelectList(liststype1), "Select")
                                        @*  @Html.EditorFor(model => model.Category)*@
                                        @Html.ValidationMessageFor(model => model.Category)
                                    </td>

                                </tr>
                                <tr>

                                    <td class="editor-label">

                                        @Html.LabelFor(model => model.TestDate)

                                        <span class="color_style">*</span>

                                    </td>
                                    <td class="editor-field">
                                        @Html.EditorFor(model => model.TestDate)
                                        @Html.ValidationMessageFor(model => model.TestDate)
                                    </td>
                                    <td class="editor-label">

                                        @Html.LabelFor(model => model.LBand)

                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.LBand)
                                        @Html.ValidationMessageFor(model => model.LBand)
                                    </td>
                                </tr>
                                <tr>

                                    <td class="editor-label">

                                        @Html.LabelFor(model => model.RBand)

                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.RBand)
                                        @Html.ValidationMessageFor(model => model.RBand)
                                    </td>
                                    <td class="editor-label">

                                        @Html.LabelFor(model => model.WBand)

                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.WBand)
                                        @Html.ValidationMessageFor(model => model.WBand)
                                    </td>
                                </tr>
                                <tr>

                                    <td class="editor-label">

                                        @Html.LabelFor(model => model.SBand)

                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.SBand)
                                        @Html.ValidationMessageFor(model => model.SBand)
                                    </td>
                                    <td class="editor-label" valign="top">

                                        @Html.LabelFor(model => model.Overall)

                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.Overall)
                                        @Html.ValidationMessageFor(model => model.Overall)
                                    </td>
                                </tr>
                                <tr>


                                    <td class="editor-label" valign="top">

                                        @Html.LabelFor(model => model.Remarks)

                                    </td>
                                    <td class="editor-field" valign="top">
                                        @Html.EditorFor(model => model.Remarks)
                                        @Html.ValidationMessageFor(model => model.Remarks)
                                    </td>
                                </tr>





                                @*<tr>
                                        <td class="editor-label" valign="top">
                                            <table>
                                                <tr>
                                                    <td>
                                                        @Html.LabelFor(model => model.CurrentCourseLvl)
                                                    </td>
                                                    <td>

                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td class="editor-field" valign="top">
                                            @Html.EditorFor(model => model.CurrentCourseLvl)
                                            @Html.ValidationMessageFor(model => model.CurrentCourseLvl)
                                        </td>


                                    </tr>*@
                            </table>
                        </fieldset>
                    </div>
                </div>
            </div>
            <footer>
                <hr />

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>
        </div>
    </div>
                                            }

<div class="modal fade" id="DPRecord" tabindex="-1" role="basic" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>

            </div>
            <div class="modal-body">
                <h1 style="color:red"> Record Already Exists.</h1>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">OK</button>
            </div>

        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>

